html {
  scroll-behavior: smooth;
}

body,
html {
  margin: 0;
  padding: 0;
  font-family: "Noto Sans JP", sans-serif;
}

* {
  box-sizing: border-box;
}

.d-grid {
  display: grid;
}

.d-flex {
  display: flex;
  display: -webkit-flex;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

button,
input,
select {
  -webkit-appearance: none;
  outline: none;
  font-family: "Noto Sans JP", sans-serif;
}

button,
.btn,
select {
  cursor: pointer;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
}

ul {
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
  padding: 0;
}

p {
  color: #666;
  font-size: 16px;
  line-height: 25px;
  opacity: 0.6;
  text-align: center;
}

.p-relative {
  position: relative;
}

.p-absolute {
  position: absolute;
}

.p-fixed {
  position: fixed;
}

.p-sticky {
  position: sticky;
}

.btn,
button,
.actionbg,
input {
  border-radius: 36px;
  -webkit-border-radius: 36px;
  -moz-border-radius: 36px;
  -o-border-radius: 36px;
  -ms-border-radius: 36px;
  margin-top: 10px;
}

.btn:hover,
button:hover {
  transition: 0.5s ease;
  -webkit-transition: 0.5s ease;
  -o-transition: 0.5s ease;
  -ms-transition: 0.5s ease;
  -moz-transition: 0.5s ease;
}

/*-- wrapper start --*/
.wrapper {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {
  .wrapper {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .wrapper {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .wrapper {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .wrapper {
    max-width: 1140px;
  }
}

.wrapper-full {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

/*-- //wrapper start --*/

.blueback {
  background: #0568c1 !important;
}
.b-r-30 {
  border-radius: 30px;
}
/*-- form styling --*/
.ht-path-form {
  position: relative;
  min-height: 100vh;
  z-index: 0;
  background: #0568c1;
  padding: 40px 40px;
  justify-content: center;
  display: grid;
  grid-template-rows: 1fr auto 1fr;
  align-items: center;
}
.container {
  max-width: 890px;
  margin: 0 auto;
}

.path-form {
  flex-basis: 50%;
  -webkit-flex-basis: 50%;
  background: #f4f9fd;
  background-size: cover;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  -ms-background-size: cover;
  padding: 40px;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  align-items: center;
  display: grid;
}

.content-path {
  flex-basis: 50%;
  -webkit-flex-basis: 50%;
  box-sizing: border-box;
  padding: 3em 3em;
  background: #fff;
  box-shadow: 2px 9px 49px -17px rgba(0, 0, 0, 0.1);
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

.content-path span {
  color: red;
}
.logo {
  text-align: center;
}

.logo img {
  text-align: center;
  width: 180px;
  height: auto;
}

.ht-path-form .main-path {
  position: relative;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  margin: 40px 0;
}

.ht-path-form form {
  margin-top: 30px;
  margin-bottom: 30px;
}

.social-icons {
  text-align: center;
  margin-top: 16px;
}
p.account,
p.account a {
  text-align: center;
  padding-top: 20px;
  padding-bottom: 0px;
  font-size: 16px;
  color: #333;
}

p.account a {
  color: #0568c1;
}
p.account a:hover {
  text-decoration: underline;
}
.ht-path-form h1 {
  text-align: center;
  font-size: 40px;
  font-weight: 700;
  color: #fff;
}

.ht-path-form h2 {
  font-size: 30px;
  line-height: 40px;
  margin-bottom: 5px;
  font-weight: 900;
  color: #272346;
  text-align: center;
}

.ht-path-form h3 {
  font-size: 15px;
  margin-bottom: 5px;
  font-weight: 900;
  color: #fff;
  text-align: center;
}

.ht-path-form input {
  outline: none;
  margin-bottom: 15px;
  font-size: 16px;
  color: #999;
  text-align: left;
  padding: 14px 20px;
  width: 100%;
  display: inline-block;
  box-sizing: border-box;
  border: none;
  outline: none;
  background: #f7fafc;
  border: 1px solid #e5e5e5;
  transition: 0.3s ease;
  -webkit-transition: 0.3s ease;
  -moz-transition: 0.3s ease;
  -ms-transition: 0.3s ease;
  -o-transition: 0.3s ease;
}
.ht-path-form input:focus {
  background: transparent;
  border: 1px solid #0568c1;
}
.ht-path-form button {
  font-size: 18px;
  color: #fff;
  width: 100%;
  background: #0568c1;
  border: none;
  padding: 14px 15px;
  font-weight: 700;
  transition: 0.3s ease;
  -webkit-transition: 0.3s ease;
  -moz-transition: 0.3s ease;
  -ms-transition: 0.3s ease;
  -o-transition: 0.3s ease;
}

.ht-path-form button:hover {
  background: #fdc500;
}

.ht-path-form .social-icons ul li {
  list-style: none;
  display: inline-block;
}

.ht-path-form .social-icons ul li a {
  padding: 8px;
}

.ht-path-form .social-icons ul li a:hover {
  opacity: 0.8;
  transition: 0.5s ease;
  -webkit-transition: 0.5s ease;
  -o-transition: 0.5s ease;
  -ms-transition: 0.5s ease;
  -moz-transition: 0.5s ease;
}

#error {
  text-align: center;
  margin: 0;
  padding: 5px 0;
  display: none;
}

#resend {
  width: 100%;
  height: 45px;
}
#resend .left {
  float: left;
}
#resend .right {
  float: right;
  cursor: pointer;
}

#resend .right .resendbtn {
  border-radius: 10 !important;
  background: red;
  color: #fff;
  font-size: 12px !important;
  padding: 7px 8px !important;
}

.copyright p {
  text-align: center;
  font-size: 17px;
  line-height: 26px;
  color: #fff;
  opacity: 1;
}

p.copy-footer-htp a {
  color: #fff;
}

p.copy-footer-htp a:hover {
  color: #fdc500;
  transition: 0.5s ease;
  -webkit-transition: 0.5s ease;
  -o-transition: 0.5s ease;
  -ms-transition: 0.5s ease;
  -moz-transition: 0.5s ease;
}

/* -- placeholder --*/

/*-- responsive design --*/

@media (max-width: 736px) {
  .ht-path-form .main-path {
    flex-direction: column;
  }
  .ht-path-form form {
    margin-top: 30px;
    margin-bottom: 10px;
  }
  .path-form {
    order: 1;
    border-radius: 0;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-top-right-radius: 0;
  }
  .content-path {
    order: 2;
    border-radius: 0;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
  }
}

@media (max-width: 568px) {
  .ht-path-form h1 {
    font-size: 36px;
  }

  .ht-path-form .main-path {
    margin: 30px 0;
  }

  .content-path {
    padding: 2.5em;
  }
}

@media (max-width: 480px) {
  .ht-path-form {
    padding: 40px 30px;
  }
  .ht-path-form h1 {
    font-size: 26px;
  }
}

@media (max-width: 384px) {
  .ht-path-form {
    padding: 30px 15px;
  }

  .content-path {
    padding: 2em;
  }
  .ht-path-form h2 {
    font-size: 22px;
    line-height: 32px;
  }

  .ht-path-form h3 {
    font-size: 10px !important;
  }

  .copyright p {
    font-size: 16px;
  }
}

/*-- //responsive design --*/
/*-- //form styling --*/
/* Spinner */
#spinner {
  text-align: center;
}
.lds-dual-ring {
  display: inline-block;
  width: 60px;
  height: 60px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 34px;
  height: 34px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #000;
  border-color: #000 transparent #000 transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
/* end spinner */
/* resend button */
.otp-resend-btn {
  font-size: 16px;
  padding: 10px;
  border: none;
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
}

.otp-resend-btn:disabled {
  background-color: #ccc;
  cursor: default;
}

/* hide arrow */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
